<?php

include('include/db_mysql.class.php');
include('include/fonctions.inc.php');

// ajouter $email_admin dans config.inc.php

function install_sql($file)
{
	global $db;
	$fp = fopen($file, 'r');
	$sql_query = fread($fp, filesize($file));
	$sql_query = remove_remarks($sql_query);
	$pieces = split_sql_file($sql_query, ";");
	
	$sql_count = count($pieces);
	for($i = 0; $i < $sql_count; $i++)
	{
		$sql = trim($pieces[$i]);
	
		if(!empty($sql) and $sql[0] != "#")
		{
			$db->query($sql);
			echo $db->error;
			if ($db->error != "")
			{
				echo "<font color=red><b>ERREUR</b></font>";
				cadre_fin();
				exit;
			}
		}
	}
}

$header = "
<html>
<head>
<title>..:: Xt-News ::..</title>
<style>
@charset \"iso-8859-1\";
A:hover {text-DECORATION: underline}
A {font: 8pt; font-family: verdana; text-DECORATION: none; color: #000066}
.ltexte:hover {text-DECORATION: underline}
.ltexte {font: 8pt; font-family: verdana; text-DECORATION: none; color: #000066}
.copy {font: bold 9px; font-family: verdana;}
.tmenu {font: bold 14px; font-family: verdana; text-DECORATION: none;}
.texte {font: 8pt; font-family: verdana;}
.form {
	font-family: verdana;
	font-size: 10px;
	font-weight: normal;
	color: #16246C;
	text-decoration: none;
	background-color: #FFFFFF;
	border-bottom-color: #666666;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-left-color: #666666;
	border-right-color: #666666;
	border-right-width: 1px;
	border-top-color: #666666;
	border-top-width: 1px;}
	BODY {scrollbar-face-color: #CFE3E3; scrollbar-shadow-color: #ABD5D5;
		scrollbar-highlight-color: #ABD5D5;scrollbar-3dlight-color: #2D7DA7;
		 scrollbar-darkshadow-color: #2D7DA7; scrollbar-track-color: #CFE3E3;
		  scrollbar-arrow-color: #ABD5D5}
</style>
</head>
<body bgcolor='#CFE3E3'><br><br>";

if ($HTTP_POST_VARS['etape'] == 2)
{
	$dbhost = $HTTP_POST_VARS['dbhost'];
	$dbbase = $HTTP_POST_VARS['dbbase'];
	$dbuser = $HTTP_POST_VARS['dbuser'];
	$dbpass = $HTTP_POST_VARS['dbpass'];
	$user = $HTTP_POST_VARS['user'];
	$email = $HTTP_POST_VARS['email'];
	$mdp = $HTTP_POST_VARS['mdp'];
	$mdp2 = $HTTP_POST_VARS['mdp2'];
	$LANG = $HTTP_POST_VARS['lang'];
	$DUREE_SESSION = $HTTP_POST_VARS['duree_session'];
	$PATH_SITE = $HTTP_POST_VARS['path_site'];
	$PATH_SCRIPT = $HTTP_POST_VARS['path_script'];
	$DATE_FORMAT = $HTTP_POST_VARS['date_format'];
	$TIME_FORMAT = $HTTP_POST_VARS['time_format'];
	$EMAIL_ADMIN = $email;
	$MAX_NEWS_B = $HTTP_POST_VARS['max_news_b'];
	$MAX_NEWS_S = $HTTP_POST_VARS['max_news_s'];
	$MAX_NEWS_A = $HTTP_POST_VARS['max_news_a'];
	$MAX_SIZE_UPLOAD = $HTTP_POST_VARS['max_size_upload'];
	$HTML_OFF = $HTTP_POST_VARS['html_off'];
	$SEPA_NEWS = $HTTP_POST_VARS['sepa_news'];
	$SEPA_ARCH = $HTTP_POST_VARS['sepa_arch'];
	$SOURCE_PERSO = $HTTP_POST_VARS['source_perso'];
	$SOURCE_CH_MAX = $HTTP_POST_VARS['source_ch_max'];
	$MAIL_SUBMIT = $HTTP_POST_VARS['mail_submit'];
	$SMIL_IN_COMMENTS = $HTTP_POST_VARS['smil_in_comments'];
	$CENS_IN_COMMENTS = $HTTP_POST_VARS['cens_in_comments'];
	
	include ('language/' . $LANG . '.php');
	
	echo $header . "<table width=80% cellpadding=0 cellspacing=0 align=center>
			<col width=1 bgcolor='#2D7DA7'>
			<col>
			<col width=1 bgcolor='#2D7DA7'>
    		<tr>
				<td></td>
      			<td bgcolor='#2D7DA7' align='center' class=tmenu>Installation de Xt-News</td>
				<td></td>
    		</tr>
    		<tr>
				<td></td>
      			<td bgcolor='#ABD5D5'>
				<table width=97% align=center><tr><td class=texte>";
	if (!is_numeric($MAX_SIZE_UPLOAD) || !is_numeric($DUREE_SESSION) || !is_numeric($MAX_NEWS_B)
		 || !is_numeric($MAX_NEWS_S) || !is_numeric($MAX_NEWS_A))
	{
		error_msg($lang_err_opt_num);
		cadre_fin();
		exit;
	}
	
	
	if (empty($user) or empty($email) or empty($mdp) or empty($mdp2))
	{
		error_msg($lang_err_fields);
		cadre_fin();
		exit;
	}
	
	if ($mdp != $mdp2)
	{
		error_msg($lang_err_pass);
		cadre_fin();
		exit;
	}
	@chmod("./include/config.inc.php",0777);
	$fp = fopen("./include/config.inc.php","w");
	fwrite($fp, "<?php\n");
	fwrite($fp, "\$dbhost = \"$dbhost\";\n");
	fwrite($fp, "\$dbuser = \"$dbuser\";\n");
	fwrite($fp, "\$dbpass = \"$dbpass\";\n");
	fwrite($fp, "\$dbbase = \"$dbbase\";\n");
	fwrite($fp, "\$pref_tbl = \"xtnews_\";\n");
	fwrite($fp, "\$tbl_news = \$pref_tbl . \"news\";\n");
	fwrite($fp, "\$tbl_comments = \$pref_tbl . \"comments\";\n");
	fwrite($fp, "\$tbl_tpl = \$pref_tbl . \"templates\";\n");
	fwrite($fp, "\$tbl_users = \$pref_tbl . \"users\";\n");
	fwrite($fp, "\$tbl_sessions= \$pref_tbl . \"sessions\";\n");
	fwrite($fp, "\$tbl_words= \$pref_tbl . \"words\";\n");
	fwrite($fp, "\$tbl_smiley= \$pref_tbl . \"smiley\";\n");
	fwrite($fp, "?>");
	fclose($fp);
	@chmod("./include/options.inc.php",0777);
	$fp = fopen("./include/options.inc.php","w");
	fwrite($fp, "<?php\n");
	fwrite($fp, "\$LANG = \"$LANG\";\n");
	fwrite($fp, "\$DUREE_SESSION = $DUREE_SESSION;\n");
	fwrite($fp, "\$PATH_SITE = \"$PATH_SITE\";\n");
	fwrite($fp, "\$PATH_SCRIPT = \"$PATH_SCRIPT\";\n");
	fwrite($fp, "\$DATE_FORMAT = \"$DATE_FORMAT\";\n");
	fwrite($fp, "\$TIME_FORMAT = \"$TIME_FORMAT\";\n");
	fwrite($fp, "\$EMAIL_ADMIN = \"$EMAIL_ADMIN\";\n");
	fwrite($fp, "\$MAX_NEWS_B = $MAX_NEWS_B;\n");
	fwrite($fp, "\$MAX_NEWS_S = $MAX_NEWS_S;\n");
	fwrite($fp, "\$MAX_NEWS_A = $MAX_NEWS_A;\n");
	fwrite($fp, "\$MAX_SIZE_UPLOAD = $MAX_SIZE_UPLOAD;\n");
	fwrite($fp, "\$HTML_OFF   = $HTML_OFF;\n");
	fwrite($fp, "\$SEPA_NEWS = $SEPA_NEWS;\n");
	fwrite($fp, "\$SEPA_ARCH = $SEPA_ARCH;\n");
	fwrite($fp, "\$SOURCE_PERSO = $SOURCE_PERSO;\n");
	fwrite($fp, "\$SOURCE_CH_MAX = $SOURCE_CH_MAX;\n");
	fwrite($fp, "\$MAIL_SUBMIT = $MAIL_SUBMIT;\n");
	fwrite($fp, "\$SMIL_IN_COMMENTS = $SMIL_IN_COMMENTS;\n");
	fwrite($fp, "\$CENS_IN_COMMENTS = $CENS_IN_COMMENTS;\n");
	fwrite($fp, "?>");
	fclose($fp);
	
	include("./include/config.inc.php");
	echo "<br><br>Cration du Fichier de config...<br>
	Cration du Fichier d'options...<br>
	Insertion de l'Admin : ";
	$db = new db_mysql($dbhost,$dbbase,$dbuser,$dbpass);
	$db->connect();
	$db->query("INSERT INTO " . $tbl_users . " VALUES('','".$user."','".$email."','" . md5($mdp)."','1','1','1','1','1','1','1','1','1')") or die("<font color=red>Echec</font>");
	echo "<font color=green>Ok</font>";
	
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (1, ':D', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/biggrin.gif', 'BigGrin', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (2, ':shock:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/bigeek.gif', 'Shocked', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (3, ':-D', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/biggrin.gif', 'BigGrin', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (4, ':grin:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/biggrin.gif', 'BigGrin', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (5, ':P', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/bigrazz.gif', 'BigRazz', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (6, ':-P', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/bigrazz.gif', 'BigRazz', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (7, ':?', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/confused.gif', 'Confused', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (8, ':-?', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/confused.gif', 'Confused', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (9, ':???:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/confused.gif', 'Confused', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (10, '8)', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/cool.gif', 'Cool', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (11, '8-)', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/cool.gif', 'Cool', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (12, ':cool:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/cool.gif', 'Cool', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (13, ':\'(', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/cry.gif', 'Cry', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (14, ':\'-(', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/cry.gif', 'Cry', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (15, ':cry:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/cry.gif', 'Cry', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (16, ':o', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/eek.gif', 'Eek', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (17, ':-o', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/eek.gif', 'Eek', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (18, ':eek:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/eek.gif', 'Eek', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (19, ':oops:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/embarrassed.gif', 'Embarrassed', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (20, ':lol:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/laugh.gif', 'Laugh', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (21, ':x', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/mad.gif', 'Mad', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (22, ':-x', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/mad.gif', 'Mad', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (23, ':mad:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/mad.gif', 'Mad', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (24, ':no:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/no.gif', 'No', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (25, ':|', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/none.gif', 'Neutral', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (26, ':-|', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/none.gif', 'Neutral', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (27, ':neutral:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/none.gif', 'Neutral', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (28, ':p', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/razz.gif', 'Razz', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (29, ':-p', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/razz.gif', 'Razz', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (30, ':razz:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/razz.gif', 'Razz', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (31, ':rool:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/rolleyes.gif', 'Rolling Eyes', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (32, ':(', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/sad.gif', 'Sad', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (33, ':-(', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/sad.gif', 'Sad', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (34, ':sad:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/sad.gif', 'Sad', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (35, ':sleep:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/sleep.gif', 'Sleep', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (36, ':)', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/smile.gif', 'Smile', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (37, ':-)', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/smile.gif', 'Smile', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (38, ':grrr:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/upset.gif', 'GRRR!', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (39, ';)', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/wink.gif', 'Wink', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (40, ';-)', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/wink.gif', 'Wink', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (41, ':wink:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/wink.gif', 'Wink', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (42, ':yes:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/yes.gif', 'Yes', 1);");
	$db->query("INSERT INTO ".$tbl_smiley." VALUES (43, ':bigrazz:', '".$PATH_SITE.$PATH_SCRIPT."images/smileys/bigrazz.gif', 'BigRazz', 1);");
	$db->query("INSERT INTO ".$tbl_tpl." VALUES ('b_header', '<link rel=\'stylesheet\' href=\'".$PATH_SCRIPT."style.css\' type=\'text/css\'>\r\n<script language=\'Javascript\'>\r\nfunction show_comments(id)\r\n{\r\n	window.open(\'add_comment.php?id_news=\' + id,\'Commentaires\',\'toolbar=0,location=0,directories=0,menuBar=0,resizable=1,scrollbars=yes,width=340,height=355,left=75,top=60\');\r\n}\r\nfunction fermer()\r\n{\r\n	self.close();\r\n}\r\n</script>\r\n<body bgcolor=\'#CFE3E3\'>\r\n<table width=70% cellpadding=0 cellspacing=0 align=center>\r\n			<col width=1 bgcolor=\'#2D7DA7\'>\r\n			<col>\r\n			<col width=1 bgcolor=\'#2D7DA7\'>\r\n    		<tr>\r\n				<td></td>\r\n      			<td bgcolor=\'#2D7DA7\' align=\'center\' class=tmenu>Les News</td>\r\n				<td></td>\r\n    		</tr>\r\n    		<tr>\r\n				<td></td>\r\n      			<td bgcolor=\'#ABD5D5\'>\r\n				<table width=97% align=center><tr><td class=texte>\r\n<br><br><center>\r\n{SUBMIT}Soumettre une News{/SUBMIT}</center>\r\n<br><br>', 'Header de la page des News');");

	$db->close();
	echo "<br><br>L'installation de Xt-News est maintenant termine,<br> vous <b>DEVEZ</b> renommer, voire meme supprimer le fichier d'install (<b>install.php</b>)
	<br><br>Vous pouvez acceder maintenant a l'espace de gestion des news en vous authentifiant <a href='".$PATH_SITE.$PATH_SCRIPT."admin/' target='_self'>ici</a><br><br>";
	cadre_fin();

}
else if ($HTTP_POST_VARS['etape'] == 1)
{
	$dbhost = $HTTP_POST_VARS['dbhost'];
	$dbbase = $HTTP_POST_VARS['dbbase'];
	$dbuser = $HTTP_POST_VARS['dbuser'];
	$dbpass = $HTTP_POST_VARS['dbpass'];
	
	$db = new db_mysql($dbhost,$dbbase,$dbuser,$dbpass);
	if (!verif_connex())
	{
		echo $header;
		error_msg("Impossible de se connecter a la Base de donne,<br>Veuillez vrifier les parametres de connection.");
		exit;
	}
	else
	{
		echo $header;
		echo "<table width=80% cellpadding=0 cellspacing=0 align=center>
			<col width=1 bgcolor='#2D7DA7'>
			<col>
			<col width=1 bgcolor='#2D7DA7'>
    		<tr>
				<td></td>
      			<td bgcolor='#2D7DA7' align='center' class=tmenu>Installation de Xt-News</td>
				<td></td>
    		</tr>
    		<tr>
				<td></td>
      			<td bgcolor='#ABD5D5'>
				<table width=97% align=center><tr><td class=texte>
				<br>Changement du Chmod du rpertoire d'upload : ";
				if (!@chmod("upload",777))
				{
					echo "<b><font color=Red>Erreur, essayez manuellement apres l'installation.</font></b>";
				}
				else
				{
					echo "<b><font color=green>Ok</font></b>";
				}
				
				echo "<br><br>Cration des tables : ";
		install_sql("xtnews.sql");
		include("./language/francais.php");
		echo "<b><font color=green>Ok</font></b>
		<form action='' method='post'>
		<input type='hidden' name='etape' value='2'>
		<input type='hidden' name='dbhost' value='$dbhost'>
		<input type='hidden' name='dbbase' value='$dbbase'>
		<input type='hidden' name='dbuser' value='$dbuser'>
		<input type='hidden' name='dbpass' value='$dbpass'>
		<table border='0' align=center class=texte>
		<col width=150>
			<tr>
				<td>Nom de l'Administrateur :</td>
				<td><input type='text' name='user' size='40' maxlength='20' value=\"Admin\" class=form></td>
			</tr>
			<tr>
				<td>" . $lang_email . " :</td>
				<td><input type='text' name='email' size='40' maxlength='90' value=\"vous@vous.com\" class=form></td>
			</tr>
			<tr>
				<td>" . $lang_password . " :</td>
				<td><input type='password' name='mdp' size='40' maxlength='20' value='' class=form></td>
			</tr>
			<tr>
				<td>" . $lang_password . " : <font size=1 color='darkblue'>(" . $lang_verif . ")</font></td>
				<td><input type='password' name='mdp2' size='40' maxlength='20' value='' class=form></td>
			</tr>
		</table><br><br>
		".$lang_path_site." : 
		<input type=text name='path_site' value=\"http://127.0.0.1/\" size=50 class=form>
		<br><br>
		".$lang_path_script." : 
		<input type=text name='path_script' value=\"xtnews/\" size=50 class=form>
		<br><br>
		" . $lang_choose_lang . " : 
		<select name=lang class=form>";
		$handle=@opendir("./language/");
		while ($file = @readdir($handle))
		{
			if (@ereg('.php',"$file"))
			{
				$file = str_replace(".php","",$file);
				$ck = "";
				if ($LANG == $file)
				{
					$ck = " selected";
				}
				echo "<option value=\"".$file."\" $ck>".$file."</option>";
			}
		}
		@closedir($handle);
		echo "
		</select>
		<br><br>
		".$lang_sess_time." : 
		<input type=text name='duree_session' value='3600' class=form>
		<br><br>
		".$lang_max_size_upload." :
		<input type=text name='max_size_upload' value='200000' class=form size=10>
		<br><br>
		".$lang_nb_news_b." :
		<input type=text name='max_news_b' value='10' class=form size=3 maxlength=3>
		<br><br>
		".$lang_nb_news_s." :
		<input type=text name='max_news_s' value='5' class=form size=3 maxlength=3>
		<br><br>
		".$lang_nb_news_a." :
		<input type=text name='max_news_a' value='20' class=form size=3 maxlength=3>
		<br><br>
		".$lang_is_s_in_b."
		<input type=radio name='sepa_news' value='1'> ".$lang_yes." <input type=radio name='sepa_news' value='0' checked> ".$lang_no." 
		<br><br>
		".$lang_is_a_in_b."
		<input type=radio name='sepa_arch' value='1' checked> ".$lang_yes." <input type=radio name='sepa_arch' value='0'> ".$lang_no." 
		<br><br>
		".$lang_html_off."
		<input type=radio name='html_off' value='1' checked> ".$lang_yes." <input type=radio name='html_off' value='0'> ".$lang_no." 
		<br><br>
		".$lang_source_perso."
		<input type=radio name='source_perso' value='1'> ".$lang_yes." <input type=radio name='source_perso' value='0' checked> ".$lang_no." 
		<br><br>
		".$lang_source_ch_max."
		<input type=text name='source_ch_max' value='40' class=form size=5 maxlength=4>
		<br><br>
		".$lang_date_format."
		<input type=text name='date_format' value='d-m-Y' class=form size=15 maxlength=50>
		<br><br>
		".$lang_time_format."
		<input type=text name='time_format' value='H:i' class=form size=15 maxlength=50>
		<br><br>
		".$lang_mail_submit."
		<input type=radio name='mail_submit' value='1'> ".$lang_yes." <input type=radio name='mail_submit' value='0' checked> ".$lang_no." 
		<br><br>
		".$lang_smil_in_comments."
		<input type=radio name='smil_in_comments' value='1' checked> ".$lang_yes." <input type=radio name='smil_in_comments' value='0'> ".$lang_no." 
		<br><br>
		".$lang_cens_in_comments."
		<input type=radio name='cens_in_comments' value='1' checked> ".$lang_yes." <input type=radio name='cens_in_comments' value='0'> ".$lang_no." 
		<br><br>
		<center>
		<input type='submit' value=' Continuer >> ' class=form></center>
		</form>
		";
	}
}
else
{
	echo $header . "
<table width=80% cellpadding=0 cellspacing=0 align=center>
			<col width=1 bgcolor='#2D7DA7'>
			<col>
			<col width=1 bgcolor='#2D7DA7'>
    		<tr>
				<td></td>
      			<td bgcolor='#2D7DA7' align='center' class=tmenu>Installation de Xt-News</td>
				<td></td>
    		</tr>
    		<tr>
				<td></td>
      			<td bgcolor='#ABD5D5'>
				<table width=97% align=center><tr><td class=texte>
				<form action='' method='post'>
				<input type='hidden' name='etape' value='1'>
				<table border=0 align=center>
					<col>
					<col align=left>
					<tr>
						<td colspan=2 align=center style='font: bold 9pt; font-family: verdana;'>Configuration des Paramtres de connexion  la Base de Donne<br><br></td>
					</tr>
					<tr>
						<td class=texte>Adresse-Server de la Base de Donne</td>
						<td><input type='text' name='dbhost' size='30' value='localhost' class=form></td>
					</tr>
					<tr>
						<td class=texte>Nom de la Base de Donne</td>
						<td><input type='text' name='dbbase' size='30' value='xtnews' class=form></td>
					</tr>
					<tr>
						<td class=texte>Nom d'utilisateur de la Base de Donne</td>
						<td><input type='text' name='dbuser' size='30' value='root' class=form></td>
					</tr>
					<tr>
						<td class=texte>Password d'utilisateur de la Base de Donne</td>
						<td><input type='Password' name='dbpass' size='30' value='' class=form></td>
					</tr>
				</table>
				<br>
				<center>
				<input type='submit' value=' Connexion >> ' class=form></center>
				</form>";
}
cadre_fin()

#file_to_sql

?>